 ../include/drfp.h:
typedef enum { DRFP_CODE_OPEN, DRFP_CODE_OPENR, DRFP_CODE_CLOSE, DRFP_CODE_CLOSER, DRFP_CODE_READ, DRFP_CODE_READR, DRFP_CODE_WRITE, DRFP_CODE_WRITER, DRFP_CODE_SEEK, DRFP_CODE_SEEKR, DRFP_CODE_IOCTL, DRFP_CODE_IOCTLR, DRFP_CODE_REMOVE, DRFP_CODE_REMOVER, DRFP_CODE_MKDIR, DRFP_CODE_MKDIRR, DRFP_CODE_RMDIR, DRFP_CODE_RMDIRR, DRFP_CODE_DOPEN, DRFP_CODE_DOPENR, DRFP_CODE_DCLOSE, DRFP_CODE_DCLOSER, DRFP_CODE_DREAD, DRFP_CODE_DREADR, DRFP_CODE_GETSTAT, DRFP_CODE_GETSTATR, DRFP_CODE_CHSTAT, DRFP_CODE_CHSTATR, DRFP_CODE_FORMAT, DRFP_CODE_FORMATR, DRFP_CODE_RENAME, DRFP_CODE_RENAMER, DRFP_CODE_CHDIR, DRFP_CODE_CHDIRR, DRFP_CODE_SYNC, DRFP_CODE_SYNCR, DRFP_CODE_MOUNT, DRFP_CODE_MOUNTR, DRFP_CODE_UMOUNT, DRFP_CODE_UMOUNTR, DRFP_CODE_SEEK64, DRFP_CODE_SEEK64R, DRFP_CODE_DEVCTL, DRFP_CODE_DEVCTLR, DRFP_CODE_SYMLINK, DRFP_CODE_SYMLINKR, DRFP_CODE_READLINK, DRFP_CODE_READLINKR, DRFP_CODE_IOCTL2, DRFP_CODE_IOCTL2R } DECIFILE_CMD;
struct sce_stat { /* size 64*/
  word mode; /* bitsize 32, bitpos 0 */
  word attr; /* bitsize 32, bitpos 32 */
  word size; /* bitsize 32, bitpos 64 */
  byte ctime[8]; /* bitsize 64, bitpos 96 */
  byte atime[8]; /* bitsize 64, bitpos 160 */
  byte mtime[8]; /* bitsize 64, bitpos 224 */
  word hisize; /* bitsize 32, bitpos 288 */
  word private[6]; /* bitsize 192, bitpos 320 */
};
struct sce_dirent { /* size 320*/
  struct sce_stat d_stat; /* bitsize 512, bitpos 0 */
  byte d_name[256]; /* bitsize 2048, bitpos 512 */
};
